Bug 26752 - ide-scsi module has unresolved symbols
Summary: ide-scsi module has unresolved symbols
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-08 22:54 UTC by Need Real Name
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 00:19:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-02-08 22:54:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)


ide-scsi modules, needed for IDE CD/RW, that worked with my redhat-7.0
distribution are not working with fisher beta.  I include the appropriate
paramater on the commandline...
[root@dynamic-ip-t7 /root]# cat /proc/cmdline
auto BOOT_IMAGE=linux ro root=2101 BOOT_FILE=/boot/vmlinuz-2.4.0-0.99.11
hdc=ide-scsi
[root@dynamic-ip-t7 /root]# insmod ide-scsi
Using /lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_register_Rfb9fdab9
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_unregister_module_Rf741008f
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_register_module_Rfa20b7b0


Reproducible: Always
Steps to Reproduce:
1.boot with hdc=ide-scsi appended
2. attempt to insert the module ide-scsi
3.
	

Actual Results:  [root@dynamic-ip-t7 /root]# insmod ide-scsi
Using /lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_register_Rfb9fdab9
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_unregister_module_Rf741008f
/lib/modules/2.4.0-0.99.11/kernel/drivers/scsi/ide-scsi.o: unresolved
symbol scsi_register_module_Rfa20b7b0


Expected Results:  Should have displayed the details of my CD Device

Comment 1 Glen Foster 2001-02-08 23:33:14 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Tim Waugh 2001-02-09 00:17:37 UTC
Does 'modprobe ide-scsi' work?

Comment 3 Matt Wilson 2001-02-14 09:34:40 UTC
use modprobe, not insmod



Note You need to log in before you can comment on or make changes to this bug.